Bug 446280 - Spurious DevExch events on JMicron SATA controller
Spurious DevExch events on JMicron SATA controller
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 17:14 EDT by Clive Messer
Modified: 2013-07-02 22:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:30:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clive Messer 2008-05-13 17:14:52 EDT
Description of problem:

Spurious events relating to JMicron controller.

03:00.0 SATA controller: JMicron Technologies, Inc. JMicron 20360/20363 AHCI
Controller (rev 03)
03:00.1 IDE interface: JMicron Technologies, Inc. JMicron 20360/20363 AHCI
Controller (rev 03)

ata7: exception Emask 0x10 SAct 0x0 SErr 0x4000000 action 0xa frozen
ata7: irq_stat 0x00000040, connection status changed
ata7: SError: { DevExch }
ata7: hard resetting link
ata7: SATA link down (SStatus 0 SControl 300)
ata7: EH complete

ata7 and ata8 are the 2 sata ports on the JMicron controller, but neither have a
drive connected. ata9 is the PATA port with a CDROM drive connected.

Does not matter if JMicron controller is configured to AHCI or IDE in bios.
dmesg shows these events being generated on ata7 at 5-8 second intervals.

Version-Release number of selected component (if applicable):

kernel-2.6.24.5-85.fc8.x86_64
Comment 1 Alan Cox 2008-05-15 08:45:14 EDT
I doubt the hardware is making them up. That would suggest power or signalling
problems not software.
Comment 2 Clive Messer 2008-05-15 08:57:48 EDT
alan, I'd be inclined to agree with you, but with a bit more digging I notice 
that this is also being reported by other users using Ubuntu with a 2.6.24 
kernel. 
See https://bugs.launchpad.net/ubuntu/+bug/198871
P.S. I'm 99.9% sure that this is not a power supply issue. Signalling - I'm not 
sure what you mean. There are no drives connected to the JMicron SATA ports.
Comment 3 Alan Cox 2008-05-15 09:29:02 EDT
No drives so that implies a sata funny in the AHCI code or Jmicron chip. No
immediate ideas on the SATA side so I've reassigned the bug to the sata wizard
Comment 4 Clive Messer 2008-05-26 09:56:52 EDT
This problem seems to be resolved since upgrade to kernel-2.6.24.7-92.fc8.x86_64
Comment 5 Bug Zapper 2008-11-26 05:42:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:30:17 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.